"""PytSite JS API.
"""
# Public API
from ._api import register, include, get_assets

__author__ = 'Alexander Shepetko'
__email__ = 'a@shepetko.com'
__license__ = 'MIT'


def __init():
    """Init wrapper.
    """
    from pytsite import assetman
    from . import _libs

    # Assets
    assetman.register_package(__name__)
    assetman.add(__name__ + '@pytsite/js/common.js', permanent=True)
    assetman.add(__name__ + '@pytsite/js/lang.js', permanent=True)

    # This file is automatically generated by assetman's build command
    assetman.add('app@js/translations.js', permanent=True)

    register('jquery', _libs.jquery)
    register('jquery-ui', _libs.jquery_ui)
    register('jquery-mobile', _libs.jquery_mobile)
    register('font-awesome', _libs.font_awesome)
    register('bootstrap', _libs.bootstrap)
    register('bootstrap-table', _libs.bootstrap_table)
    register('imagesloaded', _libs.imagesloaded)
    register('inputmask', _libs.inputmask)
    register('typeahead', _libs.typeahead)
    register('tokenfield', _libs.tokenfield)
    register('datetimepicker', _libs.datetimepicker)
    register('throttle', _libs.throttle)
    register('responsive', _libs.responsive)
    register('animate', _libs.animate)
    register('wow', _libs.wow)
    register('mousewheel', _libs.mousewheel)
    register('smoothscroll', _libs.smoothscroll)
    register('enllax', _libs.enllax)
    register('scrollto', _libs.scrollto)
    register('waypoints', _libs.waypoints)
    register('slippry', _libs.slippry)
    register('slick', _libs.slick)
    register('select2', _libs.select2)
    register('gotop', _libs.gotop)
    register('highlight', _libs.highlight)

    # jQuery is ultimately required
    include('jquery', permanent=True)


__init()
